using FastReport.Import.StimulSoft;

namespace FastReport.Design.ImportPlugins.StimulSoft
{
    /// <summary>
    /// Represents the StimulSoft import plugin.
    /// </summary>
    public partial class StimulSoftImportPlugin : ImportPlugin
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="StimulSoftImportPlugin"/> class.
        /// </summary>
        public StimulSoftImportPlugin() : base()
        {
            Import = new StimulSoftImport();
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="StimulSoftImportPlugin"/> class with a specified designer.
        /// </summary>
        /// <param name="designer">The report designer.</param>
        public StimulSoftImportPlugin(Designer designer) : base(designer)
        {
            Import = new StimulSoftImport();
        }

        #endregion // Constructors

        #region Protected Methods

        /// <inheritdoc/>
        protected override string GetFilter()
        {
            return new Utils.MyRes("FileFilters").Get("StimulSoftFile");
        }

        #endregion // Protected Methods

        #region Public Methods

        /// <inheritdoc/>
        public override void LoadReport(Report report, string filename)
        {
            Import.LoadReport(report, filename);
        }

        #endregion // Public Methods
    }
}
